<?php
session_start();
include 'calculos.php';

function limparNumero($num)
{
    $num = str_replace(',', '.', $num);
    return preg_replace('/[^0-9.-]/', '', $num);
}

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (
        isset($_POST['percentualMeta']) && !empty($_POST['percentualMeta']) &&
        isset($_POST['totalMetaManipulado']) &&
        isset($_POST['totalRealizadoManipulado']) &&
        isset($_POST['totalMetaRevenda']) &&
        isset($_POST['totalRealizadoRevenda']) &&
        isset($_POST['totalMetaMarcaPropria']) &&
        isset($_POST['totalRealizadoMarcaPropria']) &&
        isset($_POST['totalMetaSoma']) &&
        isset($_POST['totalRealizadoSoma'])
    ) {
        $percentualMeta = limparNumero($_POST['percentualMeta']);
        $totalMetaManipulado = limparNumero($_POST['totalMetaManipulado']);
        $totalRealizadoManipulado = limparNumero($_POST['totalRealizadoManipulado']);
        $totalMetaRevenda = limparNumero($_POST['totalMetaRevenda']);
        $totalRealizadoRevenda = limparNumero($_POST['totalRealizadoRevenda']);
        $totalMetaMarcaPropria = limparNumero($_POST['totalMetaMarcaPropria']);
        $totalRealizadoMarcaPropria = limparNumero($_POST['totalRealizadoMarcaPropria']);
        $totalMetaSoma = limparNumero($_POST['totalMetaSoma']);
        $totalRealizadoSoma = limparNumero($_POST['totalRealizadoSoma']);

        $manipulado = calcularValores($totalMetaManipulado, $totalRealizadoManipulado, $percentualMeta);
        $revenda = calcularValores($totalMetaRevenda, $totalRealizadoRevenda, $percentualMeta);
        $marcaPropria = calcularValores($totalMetaMarcaPropria, $totalRealizadoMarcaPropria, $percentualMeta);
        $soma = calcularValores($totalMetaSoma, $totalRealizadoSoma, $percentualMeta);

        $response = [
            'success' => true,
            'data' => [
                'percentualMeta' => $percentualMeta,
                'manipulado' => number_format($manipulado['valor_falta'], 2, ',', '.'),
                'revenda' => number_format($revenda['valor_falta'], 2, ',', '.'),
                'marcaPropria' => number_format($marcaPropria['valor_falta'], 2, ',', '.'),
                'soma' => number_format($soma['valor_falta'], 2, ',', '.'),
            ]
        ];
    } elseif (
        isset($_POST['percentualGeral']) && !empty($_POST['percentualGeral']) &&
        isset($_POST['totalManipulado']) &&
        isset($_POST['totalRevenda']) &&
        isset($_POST['totalMarca']) &&
        isset($_POST['diasrestantes'])
    ) {
        if (!isset($_SESSION['valores'])) {
            echo json_encode(['success' => false, 'message' => 'Valores da sessão não encontrados']);
            exit;
        }

        $valores = $_SESSION['valores'];
        $meta_manipulado = $valores['meta_manipulado'];
        $meta_revenda = $valores['meta_revenda'];
        $meta_Marca = $valores['meta_propria'];
        $meta_total = $valores['meta_soma'];

        $percentualGeral = limparNumero($_POST['percentualGeral']);
        $totalManipulado = limparNumero($_POST['totalManipulado']);
        $totalRevenda = limparNumero($_POST['totalRevenda']);
        $totalMarca = limparNumero($_POST['totalMarca']);
        $total_realizado = $totalManipulado + $totalRevenda + $totalMarca;
        $diasrestantes = limparNumero($_POST['diasrestantes']);

        $manipulado = calcularValores($meta_manipulado, $totalManipulado, $percentualGeral);
        $revenda = calcularValores($meta_revenda, $totalRevenda, $percentualGeral);
        $marcaPropria = calcularValores($meta_Marca, $totalMarca, $percentualGeral);
        $soma = calcularValores($meta_total, $total_realizado, $percentualGeral);

        $media_diaria_manipulado = calcularMediaDiaria($manipulado['valor_falta'], $diasrestantes);
        $media_diaria_revenda = calcularMediaDiaria($revenda['valor_falta'], $diasrestantes);
        $media_diaria_marca = calcularMediaDiaria($marcaPropria['valor_falta'], $diasrestantes);
        $media_diaria_total = calcularMediaDiaria($soma['valor_falta'], $diasrestantes);

        $response = [
            'success' => true,
            'data' => [
                'percentualGeral' => $percentualGeral,
                'manipulado' => $media_diaria_manipulado,
                'revenda' => $media_diaria_revenda,
                'marcaPropria' => $media_diaria_marca,
                'soma' => $media_diaria_total,
            ]
        ];
    } elseif (
        isset($_POST['percentualVendedor2']) && !empty($_POST['percentualVendedor2']) &&
        isset($_POST['realizado_manipulado']) &&
        isset($_POST['realizado_revenda']) &&
        isset($_POST['realizado_marca_propria']) &&
        isset($_POST['meta_manipulado']) &&
        isset($_POST['meta_revenda']) &&
        isset($_POST['meta_marca_propria'])
    ) {
        //MODAL VENDEDOR
        $percentualVendedor = limparNumero($_POST['percentualVendedor2']);
        $realizado_manipulado = limparNumero($_POST['realizado_manipulado']);
        $realizado_revenda = limparNumero($_POST['realizado_revenda']);
        $realizado_marca_propria = limparNumero($_POST['realizado_marca_propria']);
        $meta_manipulado = limparNumero($_POST['meta_manipulado']);
        $meta_revenda = limparNumero($_POST['meta_revenda']);
        $meta_marca_propria = limparNumero($_POST['meta_marca_propria']);
        $meta_total = $meta_manipulado + $meta_revenda + $meta_marca_propria;
        $realizado_total = $realizado_manipulado + $realizado_marca_propria + $realizado_revenda;
        $diasrestantes = limparNumero($_POST['diasrestantes2']);

        $manipulado = calcularValores($meta_manipulado, $realizado_manipulado, $percentualVendedor);
        $revenda = calcularValores($meta_revenda, $realizado_revenda, $percentualVendedor);
        $marcaPropria = calcularValores($meta_marca_propria, $realizado_marca_propria, $percentualVendedor);
        $soma = calcularValores($meta_total, $realizado_total, $percentualVendedor);

      
        $media_diaria_manipulado = calcularMediaDiaria($manipulado['valor_falta'], $diasrestantes);
        $media_diaria_revenda = calcularMediaDiaria($revenda['valor_falta'], $diasrestantes);
        $media_diaria_marca = calcularMediaDiaria($marcaPropria['valor_falta'], $diasrestantes);
        $media_diaria_total = calcularMediaDiaria($soma['valor_falta'], $diasrestantes);

        $response = [
            'success' => true,
            'data' => [
                'percentualVendedor' => $percentualVendedor,
                'manipulado' => $media_diaria_manipulado,
                'revenda' => $media_diaria_revenda,
                'marcaPropria' => $media_diaria_marca,
                'soma' => $media_diaria_total,
            ]
        ];
    } else {
        $response = ['success' => false, 'message' => 'Dados insuficientes'];
    }

    echo json_encode($response);
} else {
    echo json_encode(['success' => false, 'message' => 'Método não permitido']);
}
